//
// PlateMatchData.swift
//
// Generated by swagger-codegen
// https://github.com/swagger-api/swagger-codegen
//

import Foundation



public struct PlateMatchData: Codable {

    public var plateId: Int
    public var platelistId: Int
    public var plateNumber: String?
    public var similarity: Decimal?

    public init(plateId: Int, platelistId: Int, plateNumber: String? = nil, similarity: Decimal? = nil) {
        self.plateId = plateId
        self.platelistId = platelistId
        self.plateNumber = plateNumber
        self.similarity = similarity
    }

    public enum CodingKeys: String, CodingKey { 
        case plateId = "plate_id"
        case platelistId = "platelist_id"
        case plateNumber = "plate_number"
        case similarity
    }

}
